# statistics.reports.{name}.report_elements.{name}.pivot_table
---
structure:

  show_pivot_table:                   bool
  report_field:                       string
  sort_by:                            string
  sort_direction:                     string
  number_of_rows:                     int
  show_averages_row:                  bool
  show_min_row:                       bool
  show_max_row:                       bool
  show_totals_row:                    bool
  omit_parenthesized_items:           bool

infos:

  - name:               show_pivot_table
    default_value:      false
    required_if:        if type equal table

  - name:               report_field
    value:              non-aggregating report field node name
    required_if:        if type equal table and if show_pivot_table equal true

  - name:               sort_by
    value:              empty or report field node name

  - name:               sort_direction
    value:              [ascending, descending]
    default_value:      descending

  - name:               number_of_rows
    value:              greater 0

  - name:               omit_parenthesized_items
    default_value:      false
    comment:            This omits parenthesized items of the pivot table field.

...